# MLX Examples

This repo contains a variety of standalone examples using the [MLX
framework](https://github.com/ml-explore/mlx).

The [MNIST](mnist) example is a good starting point to learn how to use MLX.

Some more useful examples include:

- [Transformer language model](transformer_lm) training.
- Large scale text generation with [LLaMA](llama) or [Mistral](mistral).
- Parameter efficient fine-tuning with [LoRA](lora).
- Generating images with [Stable Diffusion](stable_diffusion).
- Speech recognition with [OpenAI's Whisper](whisper).

## Contributing 

Check out the [contribution guidelines](CONTRIBUTING.md) for more information
on contributing to this repo.
